Update cart line quantity
curl --request PATCH \
--url https://api.quickshops.app/v1/cart/{cartId}/lines/{productId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"quantity": 50
}'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({quantity: 50})
};
fetch('https://api.quickshops.app/v1/cart/{cartId}/lines/{productId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.quickshops.app/v1/cart/{cartId}/lines/{productId}"
payload = { "quantity": 50 }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({quantity: 50})
};
fetch('https://api.quickshops.app/v1/cart/{cartId}/lines/{productId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": "<string>",
"storeId": "<string>",
"lines": [
{
"productId": "<string>",
"quantity": 123,
"product": {
"_id": "<string>",
"storeId": "<string>",
"name": "<string>",
"description": "<string>",
"priceInCents": 123,
"currency": "<string>",
"type": "digital",
"billingInterval": "month",
"imageUrl": "<string>",
"isActive": true,
"category": "<string>",
"details": [
"<string>"
]
}
}
],
"totals": {
"subtotal": 123,
"total": 123,
"currency": "<string>"
}
}
}{
"error": "<string>",
"code": "UNAUTHORIZED"
}{
"error": "<string>",
"code": "UNAUTHORIZED"
}{
"error": "<string>",
"code": "UNAUTHORIZED"
}{
"error": "<string>",
"code": "UNAUTHORIZED"
}{
"error": "<string>",
"code": "UNAUTHORIZED"
}{
"error": "<string>",
"code": "UNAUTHORIZED"
}{
"error": "<string>",
"code": "UNAUTHORIZED"
}Update cart line
Update quantity for a cart line.
PATCH
/
v1
/
cart
/
{cartId}
/
lines
/
{productId}
Update cart line quantity
curl --request PATCH \
--url https://api.quickshops.app/v1/cart/{cartId}/lines/{productId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"quantity": 50
}'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({quantity: 50})
};
fetch('https://api.quickshops.app/v1/cart/{cartId}/lines/{productId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.quickshops.app/v1/cart/{cartId}/lines/{productId}"
payload = { "quantity": 50 }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({quantity: 50})
};
fetch('https://api.quickshops.app/v1/cart/{cartId}/lines/{productId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": "<string>",
"storeId": "<string>",
"lines": [
{
"productId": "<string>",
"quantity": 123,
"product": {
"_id": "<string>",
"storeId": "<string>",
"name": "<string>",
"description": "<string>",
"priceInCents": 123,
"currency": "<string>",
"type": "digital",
"billingInterval": "month",
"imageUrl": "<string>",
"isActive": true,
"category": "<string>",
"details": [
"<string>"
]
}
}
],
"totals": {
"subtotal": 123,
"total": 123,
"currency": "<string>"
}
}
}{
"error": "<string>",
"code": "UNAUTHORIZED"
}{
"error": "<string>",
"code": "UNAUTHORIZED"
}{
"error": "<string>",
"code": "UNAUTHORIZED"
}{
"error": "<string>",
"code": "UNAUTHORIZED"
}{
"error": "<string>",
"code": "UNAUTHORIZED"
}{
"error": "<string>",
"code": "UNAUTHORIZED"
}{
"error": "<string>",
"code": "UNAUTHORIZED"
}Authorizations
Headless API key (qk_...). Pro plan required.
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Required range:
1 <= x <= 99Response
Response for status 200
Show child attributes
Show child attributes
Was this page helpful?
⌘I